import java.util.Calendar;

import quadbase.reportorganizer.organizerAPI.QbOrganizer;
import quadbase.reportorganizer.organizerAPI.QbScheduleObject;
import quadbase.reportorganizer.organizerAPI.QbSchedulePackage;

// Run this example from ERES install directory
public class SchedulingArchiveReportOneTimeERES {
	// set following constants, your ERES server must be runnning!
	static final String ServletRunner = "http://localhost:8080";
	static final String ServletContext = "ERES/servlet";

	public static void main(String[] args) {
		SchedulingArchiveReportOneTimeERES doScheduleArchive = new SchedulingArchiveReportOneTimeERES();
		try {
			doScheduleArchive.createScheduleObject();
		} catch (Exception ex)
		{
			ex.printStackTrace();
		}
	}

	void createScheduleObject() throws Exception {
		QbOrganizer.setServletContext(ServletContext);
		QbOrganizer.setServletRunner(ServletRunner);
		QbOrganizer organizer = new QbOrganizer(null, "admin", "admin");

		QbSchedulePackage sPack = new QbSchedulePackage("ArchiveReport_OneTime", organizer);
		sPack.setArchive(true);
		sPack.setTaskOption(QbSchedulePackage.ONE_TIME);
		Calendar calendar = Calendar.getInstance();
		calendar.add(Calendar.MINUTE, 5);
		sPack.setStartDate(calendar.getTimeInMillis());
		sPack.setSendEmail(false);

		QbScheduleObject sObj = new QbScheduleObject("report1",
				QbScheduleObject.TEMPLATE_TYPE_REPORT, sPack);
		sObj.setFileLocation("Account.rpt");
		String exportLocation = sObj.pickDefaultExportLocation();

		organizer.getScheduler().addSchedulePackageTask(sPack);
	}
}
